Public Class Cleanup
    Inherits System.Web.UI.Page

    Private Const CON_EXCEL_NAME As String = "投票Ｔ"

    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Not IsPostBack Then
            Page.Header.Title = MyProperty.システムＭ.選挙コード名称 + MyConstant.管理画面タイトル
        End If
    End Sub

    Protected Sub BtnClear1_Click(sender As Object, e As EventArgs) Handles BtnClear1.Click
        If TxtPass1.Text.Trim = String.Empty Then
            LblMessage1.Text = MyMessage.管理者画面.初期化認証不備
        ElseIf TxtPass1.Text.Trim = MyProperty.システムＭ.管理者パスワード Then
            ' 投票Tの全削除
            Using myDataBase As MyDataBase = New MyDataBase()
                myDataBase.Delete投票券T投票T()
            End Using

            ' 投票ファイルの全削除
            Try
                Using myFile As MyFile = New MyFile()
                    myFile.Delete投票ファイル()
                End Using
            Catch ex As Exception
                ' 削除に失敗した場合、3秒後に、もう1度だけ再実施
                System.Threading.Thread.Sleep(3000)
                Using myFile As MyFile = New MyFile()
                    myFile.Delete投票ファイル()
                End Using
            End Try

            LblMessage1.Text = MyMessage.管理者画面.投票データ初期化完了
        Else
            LblMessage1.Text = MyMessage.管理者画面.初期化認証エラー
        End If
    End Sub

    Protected Sub BtnClear2_Click(sender As Object, e As EventArgs) Handles BtnClear2.Click
        If TxtPass2.Text.Trim = String.Empty Then
            LblMessage2.Text = MyMessage.管理者画面.初期化認証不備
        ElseIf TxtPass2.Text.Trim = MyProperty.システムＭ.管理者パスワード Then
            ' 全マスタ、テーブルの削除
            Using myDataBase As MyDataBase = New MyDataBase()
                myDataBase.DeleteAll()
            End Using

            ' 投票ファイルの全削除
            Try
                Using myFile As MyFile = New MyFile()
                    myFile.Delete投票ファイル()
                End Using
            Catch ex As Exception
                ' 削除に失敗した場合、3秒後に、もう1度だけ再実施
                System.Threading.Thread.Sleep(3000)
                Using myFile As MyFile = New MyFile()
                    myFile.Delete投票ファイル()
                End Using
            End Try

            LblMessage2.Text = MyMessage.管理者画面.全初期化完了
        Else
            LblMessage2.Text = MyMessage.管理者画面.初期化認証エラー
        End If
    End Sub
End Class